<div class="container my-4 card">
  <h3>Cargar un ticket</h3>
  <hr />
  <form [formGroup]="form" (ngSubmit)="Enviar($event)">
    <p><strong>Reporte de transmistion</strong></p>
    <div class="row">
      <div class="col"><strong> Fecha</strong></div>
      <div class="col"><strong> Hora</strong></div>
      <div class="col"><strong> Terminal</strong></div>
    </div>
    <div class="row">
      <div class="col">
        <!-- Todo : Unificar los 2 input en uno solo con la etiqueta Input
        Datetime-local -->
        <input formControlName="date" class="form-control" type="date" />
      </div>
      <div class="col">
        <input formControlName="time" class="form-control" type="time" />
      </div>
      <div class="col">
        <select formControlName="termial" class="form-select">
          <option value="A13491">A13491</option>
          <option value="A07929">A07929</option>
        </select>
        <!--       <input formControlName="termial" class="form-control" type="text" />
 -->
      </div>
    </div>
    <hr />
    <div class="row">
      <div class="col"><strong>Categoria</strong></div>
      <div class="col-2"><strong>Cantidad</strong></div>
      <div class="col"><strong>Importe</strong></div>
    </div>
    <hr />
    <div class="row">
      <div class="col">
        <label for="">Cobranzas: efectivo </label>
      </div>
      <div class="col-2">
        <input
          class="form-control"
          formControlName="cobEfecCant"
          type="number"
        />
      </div>
      <div class="col input-group input-group-sm">
        <span class="input-group-text">$</span>

        <input class="form-control" formControlName="cobEfec" type="number" />
      </div>
    </div>
    <div *ngIf="terminalNotPei" class="row">
      <div class="col">
        <label for="">Cobranzas: PEI</label>
      </div>
      <div class="col-2">
        <input
          class="form-control"
          formControlName="cobPeiCant"
          type="number"
        />
      </div>
      <div class="col input-group input-group-sm">
        <span class="input-group-text">$</span>
        <input class="form-control" formControlName="cobPei" type="number" />
      </div>
    </div>
    <hr />
    <div class="row">
      <div class="col">
        <label for="">Cobranzas pendiente: efectivo</label>
      </div>
      <div class="col-2">
        <input
          class="form-control"
          formControlName="cobPendEfectCant"
          type="number"
        />
      </div>
      <div class="col input-group input-group-sm">
        <span class="input-group-text">$</span>
        <input
          class="form-control"
          formControlName="cobPendEfect"
          type="number"
        />
      </div>
    </div>
    <div *ngIf="terminalNotPei" class="row">
      <div class="col">
        <label for="">Cobranzas pendiente: PEI</label>
      </div>
      <div class="col-2">
        <input
          class="form-control"
          formControlName="cobPendPeiCant"
          type="number"
        />
      </div>
      <div class="col input-group input-group-sm">
        <span class="input-group-text">$</span>

        <input
          class="form-control"
          formControlName="cobPendPei"
          type="number"
        />
      </div>
    </div>
    <hr />
    <div class="row">
      <div class="col">
        <label for="">pagos : efectivo</label>
      </div>
      <div class="col-2">
        <input
          class="form-control"
          formControlName="paidEfecCant"
          type="number"
        />
      </div>
      <div class="col input-group input-group-sm">
        <span class="input-group-text">$</span>

        <input class="form-control" formControlName="paidEfec" type="number" />
      </div>
    </div>
    <div *ngIf="terminalNotPei" class="row">
      <div class="col">
        <label for="">pagos : PEI</label>
      </div>
      <div class="col-2">
        <input
          class="form-control"
          formControlName="paidPeiCant"
          type="number"
        />
      </div>
      <div class="col input-group input-group-sm">
        <span class="input-group-text">$</span>

        <input formControlName="paidPei" class="form-control" type="number" />
      </div>
    </div>
    <hr />
    <div class="row">
      <div class="col">Total General</div>

      <div class="col input-group input-group-sm">
        <span class="input-group-text">$</span>

        <input
          formControlName="totalGeneral"
          class="form-control"
          type="number"
        />
      </div>
    </div>
    <div class="row">
      <div class="col">N° Secuencia</div>
      <div class="col input-group-sm">
        <input
          class="form-control"
          type="number"
          formControlName="numberSecuencia"
        />
      </div>
    </div>
    <div class="row my-5">
      <button
        [disabled]="form.invalid"
        type="submit"
        class="btn btn-danger col-12"
      >
        Enviar
      </button>
    </div>
  </form>
</div>
